Szerző: Pukli Zoltán

A Yoast 18.4 WordPress Bővítmény végzetes hibákat okozhat

A népszerű Yoast WordPress SEO bővítméynhez nemrég kiadott frissítés néhány felhasználó számára nagyon rosszul sült el. Úgy tűnik, hogy a probléma végzetes hibákat okozott. A Yoast frissítés negatívan érintett áldozatainak vissza kellett térniük a Yoast korábbi verziójához.

Az egyik felhasználó szerint a WordPress telepítésük „végzetes hibára” figyelmeztette őket. Yoast gyorsan orvosolta a problémát, és bocsánatot kért a történtekért.

A Yoast 18.4-es frissítés célja

A Yoast 18.4 frissítésével egy új funkciót szerettek volna bevezetni, röviden a lényeg, hogy a tartalmak és strukturált adatok időbélyegeket kaptak volna a szerzői jogok védelme érdekében blokklánc technológiát használva.

Az új funkció a WordProof nevű szolgáltatáshoz csatlakozott, amely ellenőrizhető időbélyegeket biztosít és megmutatják a webhely látogatóinak, hogy mikor készült a tartalom, és mikor frissítették.

Sikertelen WordProof integráció

A WordProof szolgáltatás blokklánc tanúsítványt biztosít az időbélyeg és a szerzői jogok megsértésének eszközének hitelesítéséhez.

A WordProof célja, hogy bizonyítékokkal és átláthatósággal erősítse a weboldalakkal kapcsolatos bizalmat.

A WordProof szerint:

Az internetnek mélyen gyökerező problémái vannak, amelyek napról napra nőnek: bizalmatlanság, plágium és hamis hírek. A WordProof új szabványt akar létrehozni egy megbízhatóbb internet számára a blokklánc technológia segítségével.

Sajnos ennek a funkciónak az integrációja nem sikerült zökkenő mentesen sőt több felhasználó számára komoly problémákat okozott.

A bejegyzés idején néhány Yoast ügyfél jelezte, hogy ez a hiba a Yoast 18.4-es és 18.4.1-es verzióit érinti.

Egyébként a WordProof társalapító tagjai között találjuk Joost de Valkot és feleségét is.

Milyen hibákat okoz?

Tipikus problémák, amelyekről beszámoltak:

  • Az XML-webhelytérkép az összes tartalomtípust megjeleníti, beleértve a privát tartalmat is
  • A Yoast keresési megjelenés beállításai lap teljesen üres volt.
  • Végzetes hibaüzenet “Fatal error”
  • A WordPress üzenetet küld a Yoast plugin hibáról

Mi a megoldás?

Azonnal frissíteni a bővítményt, Yoast szerint az ingyenes bővítmény 18.4.1-es és Yoast SEO Premium 18.2.1-es verziója egyaránt stabil verziók, amelyek már nem tartalmazzák az új WordProof funkciót. Majd egy későbbi időpontban pedig felülvizsgálják a WordProof integrációt.

Yoast bocsánatot kért a problémás frissítéssel kapcsolatban:

“A kiterjedt tesztelés ellenére néhány felhasználó sajnos problémákat tapasztalt a Yoast SEO 18.4-gyel kapcsolatban. Mivel gyorsan elérték a 24/7-es támogató csapatunkat, gyorsan tudtunk cselekedni, és vissza tudtuk állítani ezt a kiadást. Nagyon sajnáljuk az esetleges kellemetlenségeket.”

PHP 8+ az egyik lehetséges hibaforrás?

A Yoast jelenleg nem kompatibilis a PHP 8+-al. A hibát bejelentő emberek közül legalább az egyik megjegyezte, hogy PHP 8.0-t használnak.

Egy nem ehhez a problémához kapcsolódó támogatási kérdésben valaki megkérdezte,  hogy a Yoast kompatibilis-e a PHP legújabb verziójával, a 8.x verzióval.

A Yoast részéről ez volt a válasz:

“Sajnos még nem teszteltük teljesen a plugint a PHP 8-as verziójával.”

Tehát lehetséges, hogy az adott felhasználó számára a PHP 8.0 súlyosbította a problémákat.

Yoast azt javasolja, hogy mindenki frissítsen a bővítmény legújabb stabil verzióira. Érdemes lehet ellenőrizni, hogy webhelyed nem php 8.+ -t futtat-e, és ha igen első körben állítsd vissza a PHP-t egy előző verzióra, majd teszteld le azzal is.

Forrás: https://yoast.com/yoast-seo-march-22-2022/

Pukli Zoltán marketing tanácsadó és blogger, fő területeim a Marketing az SEO és a Webdesign, segítek ügyfeleimnek forgalmuk és online bevételeik magasabb szintre emelésében. Ezenkívül segítek az olvasóknak megtalálni a tökéletes eszközöket az online bevételszerzéshez.

error: Content is protected !!